import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/property_news_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/property_news_detail_entity.g.dart';

@JsonSerializable()
class PropertyNewsDetailEntity {
	int? id;
	String? title;
	@JSONField(name: "cover_image")
	String? coverImage;
	String? content;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "likes_count")
	int? likesCount;
	bool? liked;

	PropertyNewsDetailEntity();

	factory PropertyNewsDetailEntity.fromJson(Map<String, dynamic> json) => $PropertyNewsDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $PropertyNewsDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}